/*
 * Fabric3
 * Copyright (c) 2009 Metaform Systems
 *
 * Fabric3 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version, with the
 * following exception:
 *
 * Linking this software statically or dynamically with other
 * modules is making a combined work based on this software.
 * Thus, the terms and conditions of the GNU General Public
 * License cover the whole combination.
 *
 * As a special exception, the copyright holders of this software
 * give you permission to link this software with independent
 * modules to produce an executable, regardless of the license
 * terms of these independent modules, and to copy and distribute
 * the resulting executable under terms of your choice, provided
 * that you also meet, for each linked independent module, the
 * terms and conditions of the license of that module. An
 * independent module is a module which is not derived from or
 * based on this software. If you modify this software, you may
 * extend this exception to your version of the software, but
 * you are not obligated to do so. If you do not wish to do so,
 * delete this exception statement from your version.
 *
 * Fabric3 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the
 * GNU General Public License along with Fabric3.
 * If not, see <http://www.gnu.org/licenses/>.
*/
package org.fabric3.monitor.runtime;

import ch.qos.logback.classic.Level;

import org.fabric3.api.annotation.monitor.MonitorLevel;


/**
 * Converts levels from the standard Fabric3 representation to Logback.
 *
 * @version $Rev: 9041 $ $Date: 2010-05-24 08:39:10 +0000 (Mon, 24 May 2010) $
 */
public class LevelConverter {

    private LevelConverter() {
    }

    public static ch.qos.logback.classic.Level getLogbackLevel(MonitorLevel level) {
        if (MonitorLevel.SEVERE == level) {
            return Level.ERROR;
        } else if (MonitorLevel.WARNING == level) {
            return Level.WARN;
        } else if (MonitorLevel.INFO == level) {
            return Level.INFO;
        } else if (MonitorLevel.DEBUG == level) {
            return Level.DEBUG;
        } else if (MonitorLevel.TRACE == level) {
            return Level.TRACE;
        }
        throw new AssertionError("Unknown log level: " + level);
    }
}
